Groovy Documentation

## groovy.beans
[Java] Class DefaultPropertyAccessor

    java.lang.Object
      groovy.beans.DefaultPropertyAccessor

All Implemented Interfaces:
  PropertyAccessor

    public class DefaultPropertyAccessor
    extends java.lang.Object

Authors:
  Andres Almiray

Field Summary
`static PropertyAccessor` | `INSTANCE`

Method Summary
`java.lang.Object` | `read(java.lang.Object owner, java.lang.String propertyName)`
`void` | `write(java.lang.Object owner, java.lang.String propertyName, java.lang.Object value)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### INSTANCE

    public static final PropertyAccessor INSTANCE

Method Detail

### read

    public java.lang.Object read(java.lang.Object owner, java.lang.String propertyName)

### write

    public void write(java.lang.Object owner, java.lang.String propertyName, java.lang.Object value)

Groovy Documentation